Subject: [PATCH v2] OF: base: match each node compatible against all given matches first

From: [email-masked] (Thierry Reding)
Date: Wed, 4 Dec 2013 15:04:59 +0100

On Wed, Dec 04, 2013 at 03:08:39PM +0200, Meelis Roos wrote:
> > I added Meelis on Cc because he found a regression with my original
> > proposal (107a84e61cdd "of: match by compatible property first"). That
> > got later reverted in commit bc51b0c22ceb (Revert "of: match by
> > compatible property first"). Here's the commit message for reference:
> > 
> > commit bc51b0c22ceb
> > Author: Linus Torvalds <[email-masked]>
> > Date:   Tue Jul 10 12:49:32 2012 -0700
> > 
> >     Revert "of: match by compatible property first"
> > 
> >     This reverts commit 107a84e61cdd3406c842a0e4be7efffd3a05dba6.
> > 
> >     Meelis Roos reports a regression since 3.5-rc5 that stops Sun Fire V100
> >     and Sun Netra X1 sparc64 machines from booting, hanging after enabling
> >     serial console.  He bisected it to commit 107a84e61cdd.
> > 
> >     Rob Herring explains:
> >      "The problem is match combinations of compatible plus name and/or type
> >       fail to match correctly.  I have a fix for this, but given how late it
> >       is for 3.5 I think it is best to revert this for now.  There could be
> >       other cases that rely on the current although wrong behavior.  I will
> >       post an updated version for 3.6."
> > 
> >     Bisected-and-reported-by: Meelis Roos <[email-masked]>
> >     Requested-by: Rob Herring <[email-masked]>
> >     Cc: Thierry Reding <[email-masked]>
> >     Cc: Grant Likely <[email-masked]>
> >     Signed-off-by: Linus Torvalds <[email-masked]>
> > 
> > So if Meelis still has access to the Sun Fire V100 and Sun Netra X1
> > machines that regressed last time around, it'd be great to get this
> > patch tested on them to verify that it indeed fixes the problem and
> > doesn't regress.
> 
> OK, I had forgotten about that.

Yeah, I had always meant to come back to it, but that never quite
happened, so I'm all the more glad that Sebastian took over.

> Tested successfully on the same Sun Fire V100 and Sun Netra X1, on top 
> of 3.13-rc2. The sunsu console is detected fine and I see no problem for 
> now.

Excellent. Thanks for testing!

Rob, I guess this should be reasonable safe then to take for a spin in
linux-next?

Thierry
-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 836 bytes
Desc: not available
URL: <http://lists.infradead.org/pipermail/linux-arm-kernel/attachments/20131204/910f6bdf/attachment.sig>